#include "expression.h"

class BitExpression : public Expression
{
public:
  BitExpression (char *pBits, YYLTYPE &Loc)
  : Expression (Loc)
  { Bits = pBits; }

  AlluvionType Bind (Function &Fun)
  { return AT_VAR; }

  void Evaluate (Instance &In, Instance &Out);
  int Evaluate (Instance &In) { return 0; }

  void Print (ostream &s) const {}

private:
  char *Bits;
};
