#include "boolean.h"

class BooleanNot : public Boolean
{
public:
  BooleanNot (Boolean *pBool, YYLTYPE &pLoc)
  : Boolean (pLoc)
  { Bool = pBool; }

  ~BooleanNot ()
  { delete Bool; }

  void Bind (Function &Fun)
  { Bool->Bind (Fun); }

  bool Evaluate (Instance &In)
  { return ! Bool->Evaluate (In); }

private:
  Boolean *Bool;
};

