#include "expression.h"

class EmptyExpression : public Expression
{
public:
  EmptyExpression (YYLTYPE &Loc) : Expression (Loc) {};

  AlluvionType Bind (Function &Fun) { return AT_VAR; };

  void Evaluate (Instance &In, Instance &Out) {}
  int Evaluate (Instance &In) { return 0; }

  void Print (ostream &s) const { s << "()"; }
};
