// -*-C++-*-

#include <iostream>
using namespace std;

class Node
{
public:
  Node () { MaxReadCount = 0; }

  void Init (unsigned &pMaxReadCount)
  {
    ReadCount = 0;
    RefCount = 1;
    MaxReadCount = &pMaxReadCount;
  }

  void Read ()
  { ReadCount ++;
    if (*MaxReadCount < ReadCount)
      *MaxReadCount = ReadCount;
  }

  unsigned GetReadCount () { return ReadCount; }

  void RefBegin () { RefCount ++; }
  void RefEnd () { RefCount --; }
  unsigned GetRefCount () { return RefCount; }

private:
  unsigned ReadCount;
  unsigned RefCount;
  unsigned *MaxReadCount;
};
