/* A Bison parser, made by GNU Bison 1.875d.  */

/* Skeleton parser for Yacc-like parsing with Bison,
   Copyright (C) 1984, 1989, 1990, 2000, 2001, 2002, 2003, 2004 Free Software Foundation, Inc.

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2, or (at your option)
   any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place - Suite 330,
   Boston, MA 02111-1307, USA.  */

/* As a special exception, when this file is copied by Bison into a
   Bison output file, you may use that output file without restriction.
   This special exception was added by the Free Software Foundation
   in version 1.24 of Bison.  */

/* Written by Richard Stallman by simplifying the original so called
   ``semantic'' parser.  */

/* All symbols defined below should begin with yy or YY, to avoid
   infringing on user name space.  This should be done even for local
   variables, as they might otherwise be expanded by user macros.
   There are some unavoidable exceptions within include files to
   define necessary library symbols; they are noted "INFRINGES ON
   USER NAME SPACE" below.  */

/* Identify Bison output.  */
#define YYBISON 1

/* Skeleton name.  */
#define YYSKELETON_NAME "yacc.c"

/* Pure parsers.  */
#define YYPURE 0

/* Using locations.  */
#define YYLSP_NEEDED 1



/* Tokens.  */
#ifndef YYTOKENTYPE
# define YYTOKENTYPE
   /* Put the tokens into the symbol table, so that GDB and other debuggers
      know about them.  */
   enum yytokentype {
     NAME = 258,
     NUM = 259,
     BITS = 260,
     FOR = 261,
     IF = 262,
     ELSE = 263,
     WHILE = 264,
     PRINT = 265,
     GE = 266,
     LE = 267,
     NOT = 268,
     NEG = 269
   };
#endif
#define NAME 258
#define NUM 259
#define BITS 260
#define FOR 261
#define IF 262
#define ELSE 263
#define WHILE 264
#define PRINT 265
#define GE 266
#define LE 267
#define NOT 268
#define NEG 269




/* Copy the first part of user declarations.  */
#line 1 "alluvion.yacc.y"

#include <stdio.h>
#include <string.h>

extern int yyparse ();

extern "C" int yywrap () { return 1; }

#include "parserincludes.h"

extern Program *AlluvionProgram;

#define YYERROR_VERBOSE



/* Enabling traces.  */
#ifndef YYDEBUG
# define YYDEBUG 0
#endif

/* Enabling verbose error messages.  */
#ifdef YYERROR_VERBOSE
# undef YYERROR_VERBOSE
# define YYERROR_VERBOSE 1
#else
# define YYERROR_VERBOSE 0
#endif

#if ! defined (YYSTYPE) && ! defined (YYSTYPE_IS_DECLARED)
#line 18 "alluvion.yacc.y"
typedef union YYSTYPE {
  int                Number;
  char               *String;
  Expression         *Expr;
  VectorExpression   *VExpr;
  ArgumentExpression *Arg;
  RangeExpression    *Rng;
  RangesExpression   *Rngs;
  ArgumentVector     *ArgVec;
  Boolean            *Bool;
  Statement          *Stmnt;
  Sequence           *Seq;
  Function           *Fun;
  Program            *Prog;
} YYSTYPE;
/* Line 191 of yacc.c.  */
#line 136 "alluvion.yacc.cc"
# define yystype YYSTYPE /* obsolescent; will be withdrawn */
# define YYSTYPE_IS_DECLARED 1
# define YYSTYPE_IS_TRIVIAL 1
#endif

#if ! defined (YYLTYPE) && ! defined (YYLTYPE_IS_DECLARED)
typedef struct YYLTYPE
{
  int first_line;
  int first_column;
  int last_line;
  int last_column;
} YYLTYPE;
# define yyltype YYLTYPE /* obsolescent; will be withdrawn */
# define YYLTYPE_IS_DECLARED 1
# define YYLTYPE_IS_TRIVIAL 1
#endif


/* Copy the second part of user declarations.  */
#line 64 "alluvion.yacc.y"


extern int yylex ();

extern YYLTYPE yylloc;

void yyerror (const char *str)
{
  cerr << "ERROR at " << yylloc << ": " << str << endl;
}



/* Line 214 of yacc.c.  */
#line 172 "alluvion.yacc.cc"

#if ! defined (yyoverflow) || YYERROR_VERBOSE

# ifndef YYFREE
#  define YYFREE free
# endif
# ifndef YYMALLOC
#  define YYMALLOC malloc
# endif

/* The parser invokes alloca or malloc; define the necessary symbols.  */

# ifdef YYSTACK_USE_ALLOCA
#  if YYSTACK_USE_ALLOCA
#   define YYSTACK_ALLOC alloca
#  endif
# else
#  if defined (alloca) || defined (_ALLOCA_H)
#   define YYSTACK_ALLOC alloca
#  else
#   ifdef __GNUC__
#    define YYSTACK_ALLOC __builtin_alloca
#   endif
#  endif
# endif

# ifdef YYSTACK_ALLOC
   /* Pacify GCC's `empty if-body' warning. */
#  define YYSTACK_FREE(Ptr) do { /* empty */; } while (0)
# else
#  if defined (__STDC__) || defined (__cplusplus)
#   include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
#   define YYSIZE_T size_t
#  endif
#  define YYSTACK_ALLOC YYMALLOC
#  define YYSTACK_FREE YYFREE
# endif
#endif /* ! defined (yyoverflow) || YYERROR_VERBOSE */


#if (! defined (yyoverflow) \
     && (! defined (__cplusplus) \
	 || (defined (YYLTYPE_IS_TRIVIAL) && YYLTYPE_IS_TRIVIAL \
             && defined (YYSTYPE_IS_TRIVIAL) && YYSTYPE_IS_TRIVIAL)))

/* A type that is properly aligned for any stack member.  */
union yyalloc
{
  short int yyss;
  YYSTYPE yyvs;
    YYLTYPE yyls;
};

/* The size of the maximum gap between one aligned stack and the next.  */
# define YYSTACK_GAP_MAXIMUM (sizeof (union yyalloc) - 1)

/* The size of an array large to enough to hold all stacks, each with
   N elements.  */
# define YYSTACK_BYTES(N) \
     ((N) * (sizeof (short int) + sizeof (YYSTYPE) + sizeof (YYLTYPE))	\
      + 2 * YYSTACK_GAP_MAXIMUM)

/* Copy COUNT objects from FROM to TO.  The source and destination do
   not overlap.  */
# ifndef YYCOPY
#  if defined (__GNUC__) && 1 < __GNUC__
#   define YYCOPY(To, From, Count) \
      __builtin_memcpy (To, From, (Count) * sizeof (*(From)))
#  else
#   define YYCOPY(To, From, Count)		\
      do					\
	{					\
	  register YYSIZE_T yyi;		\
	  for (yyi = 0; yyi < (Count); yyi++)	\
	    (To)[yyi] = (From)[yyi];		\
	}					\
      while (0)
#  endif
# endif

/* Relocate STACK from its old location to the new one.  The
   local variables YYSIZE and YYSTACKSIZE give the old and new number of
   elements in the stack, and YYPTR gives the new location of the
   stack.  Advance YYPTR to a properly aligned location for the next
   stack.  */
# define YYSTACK_RELOCATE(Stack)					\
    do									\
      {									\
	YYSIZE_T yynewbytes;						\
	YYCOPY (&yyptr->Stack, Stack, yysize);				\
	Stack = &yyptr->Stack;						\
	yynewbytes = yystacksize * sizeof (*Stack) + YYSTACK_GAP_MAXIMUM; \
	yyptr += yynewbytes / sizeof (*yyptr);				\
      }									\
    while (0)

#endif

#if defined (__STDC__) || defined (__cplusplus)
   typedef signed char yysigned_char;
#else
   typedef short int yysigned_char;
#endif

/* YYFINAL -- State number of the termination state. */
#define YYFINAL  2
/* YYLAST -- Last index in YYTABLE.  */
#define YYLAST   219

/* YYNTOKENS -- Number of terminals. */
#define YYNTOKENS  36
/* YYNNTS -- Number of nonterminals. */
#define YYNNTS  16
/* YYNRULES -- Number of rules. */
#define YYNRULES  64
/* YYNRULES -- Number of states. */
#define YYNSTATES  141

/* YYTRANSLATE(YYLEX) -- Bison symbol number corresponding to YYLEX.  */
#define YYUNDEFTOK  2
#define YYMAXUTOK   269

#define YYTRANSLATE(YYX) 						\
  ((unsigned int) (YYX) <= YYMAXUTOK ? yytranslate[YYX] : YYUNDEFTOK)

/* YYTRANSLATE[YYLEX] -- Bison symbol number corresponding to YYLEX.  */
static const unsigned char yytranslate[] =
{
       0,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,    35,     2,     2,     2,    23,    16,     2,
      26,    27,    21,    19,    28,    20,     2,    22,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,    31,    34,
      13,    11,    12,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,    29,     2,    30,    25,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,    32,    17,    33,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     1,     2,     3,     4,
       5,     6,     7,     8,     9,    10,    14,    15,    18,    24
};

#if YYDEBUG
/* YYPRHS[YYN] -- Index of the first RHS symbol of rule number YYN in
   YYRHS.  */
static const unsigned char yyprhs[] =
{
       0,     0,     3,     4,     7,    13,    22,    24,    28,    30,
      34,    36,    41,    43,    47,    53,    55,    59,    63,    64,
      67,    72,    80,    84,    90,    94,    98,   100,   105,   109,
     112,   117,   125,   127,   129,   133,   137,   141,   145,   149,
     153,   156,   158,   163,   165,   169,   173,   177,   181,   185,
     189,   193,   196,   198,   200,   204,   208,   212,   216,   220,
     224,   228,   232,   236,   239
};

/* YYRHS -- A `-1'-separated list of the rules' RHS. */
static const yysigned_char yyrhs[] =
{
      37,     0,    -1,    -1,    37,    38,    -1,    39,    11,     3,
      39,    44,    -1,    39,    11,     3,    13,    40,    12,    39,
      44,    -1,    41,    -1,    26,    40,    27,    -1,    41,    -1,
      40,    28,    41,    -1,     3,    -1,     3,    29,    43,    30,
      -1,    48,    -1,    48,    31,    48,    -1,    48,    31,    48,
      31,    48,    -1,    42,    -1,    43,    28,    42,    -1,    32,
      45,    33,    -1,    -1,    45,    46,    -1,    39,    11,    47,
      34,    -1,     6,     3,    11,    29,    42,    30,    44,    -1,
       7,    51,    44,    -1,     7,    51,    44,     8,    44,    -1,
       9,    51,    44,    -1,    10,    39,    34,    -1,     3,    -1,
       3,    29,    43,    30,    -1,    26,    49,    27,    -1,    26,
      27,    -1,     3,    26,    49,    27,    -1,     3,    13,    49,
      12,    26,    49,    27,    -1,     5,    -1,     4,    -1,    47,
      19,    47,    -1,    47,    20,    47,    -1,    47,    21,    47,
      -1,    47,    22,    47,    -1,    47,    23,    47,    -1,    47,
      25,    47,    -1,    20,    47,    -1,     3,    -1,     3,    29,
      43,    30,    -1,     4,    -1,    26,    48,    27,    -1,    48,
      19,    48,    -1,    48,    20,    48,    -1,    48,    21,    48,
      -1,    48,    22,    48,    -1,    48,    23,    48,    -1,    48,
      25,    48,    -1,    20,    48,    -1,    47,    -1,    50,    -1,
      47,    28,    47,    -1,    50,    28,    47,    -1,    48,    11,
      48,    -1,    48,    12,    48,    -1,    48,    13,    48,    -1,
      48,    14,    48,    -1,    48,    15,    48,    -1,    51,    16,
      51,    -1,    51,    17,    51,    -1,    35,    51,    -1,    26,
      51,    27,    -1
};

/* YYRLINE[YYN] -- source line where rule number YYN was defined.  */
static const unsigned short int yyrline[] =
{
       0,    79,    79,    80,    86,    90,    96,   101,   108,   112,
     119,   123,   129,   134,   139,   146,   151,   157,   163,   166,
     172,   174,   176,   178,   180,   182,   186,   188,   190,   192,
     194,   196,   198,   200,   202,   204,   206,   208,   210,   212,
     214,   218,   220,   222,   224,   226,   228,   230,   232,   234,
     236,   238,   242,   244,   250,   256,   263,   265,   267,   269,
     271,   273,   275,   277,   279
};
#endif

#if YYDEBUG || YYERROR_VERBOSE
/* YYTNME[SYMBOL-NUM] -- String name of the symbol SYMBOL-NUM.
   First, the terminals, then, starting at YYNTOKENS, nonterminals. */
static const char *const yytname[] =
{
  "$end", "error", "$undefined", "NAME", "NUM", "BITS", "FOR", "IF",
  "ELSE", "WHILE", "PRINT", "'='", "'>'", "'<'", "GE", "LE", "'&'", "'|'",
  "NOT", "'+'", "'-'", "'*'", "'/'", "'%'", "NEG", "'^'", "'('", "')'",
  "','", "'['", "']'", "':'", "'{'", "'}'", "';'", "'!'", "$accept",
  "program", "function", "args", "argvec", "arg", "range", "ranges",
  "body", "sequence", "statement", "expression", "controlexpression",
  "expressions", "vectorexpression", "boolean", 0
};
#endif

# ifdef YYPRINT
/* YYTOKNUM[YYLEX-NUM] -- Internal token number corresponding to
   token YYLEX-NUM.  */
static const unsigned short int yytoknum[] =
{
       0,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,    61,    62,    60,   266,   267,    38,   124,   268,    43,
      45,    42,    47,    37,   269,    94,    40,    41,    44,    91,
      93,    58,   123,   125,    59,    33
};
# endif

/* YYR1[YYN] -- Symbol number of symbol that rule YYN derives.  */
static const unsigned char yyr1[] =
{
       0,    36,    37,    37,    38,    38,    39,    39,    40,    40,
      41,    41,    42,    42,    42,    43,    43,    44,    45,    45,
      46,    46,    46,    46,    46,    46,    47,    47,    47,    47,
      47,    47,    47,    47,    47,    47,    47,    47,    47,    47,
      47,    48,    48,    48,    48,    48,    48,    48,    48,    48,
      48,    48,    49,    49,    50,    50,    51,    51,    51,    51,
      51,    51,    51,    51,    51
};

/* YYR2[YYN] -- Number of symbols composing right hand side of rule YYN.  */
static const unsigned char yyr2[] =
{
       0,     2,     0,     2,     5,     8,     1,     3,     1,     3,
       1,     4,     1,     3,     5,     1,     3,     3,     0,     2,
       4,     7,     3,     5,     3,     3,     1,     4,     3,     2,
       4,     7,     1,     1,     3,     3,     3,     3,     3,     3,
       2,     1,     4,     1,     3,     3,     3,     3,     3,     3,
       3,     2,     1,     1,     3,     3,     3,     3,     3,     3,
       3,     3,     3,     2,     3
};

/* YYDEFACT[STATE-NAME] -- Default rule to reduce with in state
   STATE-NUM when YYTABLE doesn't specify something else to do.  Zero
   means the default is an error.  */
static const unsigned char yydefact[] =
{
       2,     0,     1,    10,     0,     3,     0,     6,     0,     0,
       8,     0,    41,    43,     0,     0,    15,     0,    12,     7,
       0,     0,     0,    51,     0,     0,    11,     0,     0,     0,
       0,     0,     0,     0,     9,     0,     0,     0,    44,    16,
      45,    46,    47,    48,    49,    50,    13,     0,    18,     4,
      42,     0,     0,     0,    14,     0,     0,     0,     0,     0,
      17,     0,    19,     5,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,    63,     0,     0,     0,     0,
       0,     0,     0,    22,    24,    25,    26,    33,    32,     0,
       0,     0,     0,    64,    56,    57,    58,    59,    60,    61,
      62,     0,     0,     0,     0,    40,    29,    52,     0,    53,
       0,     0,     0,     0,     0,     0,    20,     0,    23,     0,
       0,     0,     0,    28,     0,    34,    35,    36,    37,    38,
      39,     0,     0,    30,    27,    54,    55,    21,     0,     0,
      31
};

/* YYDEFGOTO[NTERM-NUM]. */
static const yysigned_char yydefgoto[] =
{
      -1,     1,     5,     6,     9,     7,    16,    17,    49,    53,
      62,   107,    18,   108,   109,    68
};

/* YYPACT[STATE-NUM] -- Index in YYTABLE of the portion describing
   STATE-NUM.  */
#define YYPACT_NINF -100
static const short int yypact[] =
{
    -100,    35,  -100,   -16,    22,  -100,    33,  -100,    75,     9,
    -100,    42,    34,  -100,    75,    75,  -100,    72,   144,  -100,
      22,    91,    75,    40,   168,    75,  -100,    75,    75,    75,
      75,    75,    75,    75,  -100,    22,    44,    86,  -100,  -100,
     189,   189,    40,    40,    40,    40,   151,    18,  -100,  -100,
    -100,    75,     5,    77,   177,    44,    63,     6,     6,     5,
    -100,    80,  -100,  -100,    88,     6,     6,   137,    81,    81,
      62,    55,    78,   107,     0,  -100,    75,    75,    75,    75,
      75,     6,     6,    98,  -100,  -100,   110,  -100,  -100,    55,
      85,   121,    75,  -100,   177,   177,   177,   177,   177,  -100,
    -100,    44,    55,    55,    75,    90,  -100,   158,    97,   109,
      55,    55,    55,    55,    55,    55,  -100,    95,  -100,   123,
     111,   103,    55,  -100,    55,   194,   194,    90,    90,    90,
      90,    44,   119,  -100,  -100,   184,   184,  -100,    55,   120,
    -100
};

/* YYPGOTO[NTERM-NUM].  */
static const yysigned_char yypgoto[] =
{
    -100,  -100,  -100,   -19,   118,     8,   -18,   -22,   -54,  -100,
    -100,   -60,    -9,   -99,  -100,    27
};

/* YYTABLE[YYPACT[STATE-NUM]].  What to do in state STATE-NUM.  If
   positive, shift that token.  If negative, reduce the rule which
   number is the opposite.  If zero, do what YYDEFACT says.
   If YYTABLE_NINF, syntax error.  */
#define YYTABLE_NINF -1
static const unsigned char yytable[] =
{
      37,    63,    36,   119,   120,    23,    24,    39,     3,    12,
      13,    91,    10,     8,    83,    84,    81,    82,    40,    41,
      42,    43,    44,    45,    46,     3,    14,    93,    34,   105,
      52,     4,    65,    55,    61,     2,    19,    20,     3,   139,
      70,    66,    54,    10,    11,    21,    20,   118,    67,    67,
     125,   126,   127,   128,   129,   130,    73,    67,    86,    87,
      88,     4,   135,    22,   136,    32,    64,    94,    95,    96,
      97,    98,    67,    67,   117,    89,    48,   137,    12,    13,
       3,    90,   121,    56,    57,    69,    58,    59,    86,    87,
      88,    71,    74,    75,     3,    14,    85,    81,    82,    72,
      25,    15,    26,     4,    35,    89,   101,    92,    99,   100,
      60,    90,   106,    48,    25,   115,    50,     4,    76,    77,
      78,    79,    80,   102,   123,   131,    27,    28,    29,    30,
      31,    25,    32,   134,    38,   132,   103,   124,   133,   104,
     110,   111,   112,   113,   114,   138,   115,   140,    76,    77,
      78,    79,    80,    47,     0,   116,    27,    28,    29,    30,
      31,     0,    32,    27,    28,    29,    30,    31,     0,    32,
      27,    28,    29,    30,    31,    33,    32,   110,   111,   112,
     113,   114,    51,   115,     0,     0,   122,    27,    28,    29,
      30,    31,     0,    32,     0,    38,    27,    28,    29,    30,
      31,     0,    32,   110,   111,   112,   113,   114,     0,   115,
      29,    30,    31,     0,    32,   112,   113,   114,     0,   115
};

static const short int yycheck[] =
{
      22,    55,    21,   102,   103,    14,    15,    25,     3,     3,
       4,    71,     4,    29,    68,    69,    16,    17,    27,    28,
      29,    30,    31,    32,    33,     3,    20,    27,    20,    89,
      12,    26,    26,    52,    53,     0,    27,    28,     3,   138,
      59,    35,    51,    35,    11,     3,    28,   101,    57,    58,
     110,   111,   112,   113,   114,   115,    65,    66,     3,     4,
       5,    26,   122,    29,   124,    25,     3,    76,    77,    78,
      79,    80,    81,    82,    92,    20,    32,   131,     3,     4,
       3,    26,   104,     6,     7,    58,     9,    10,     3,     4,
       5,    11,    65,    66,     3,    20,    34,    16,    17,    11,
      28,    26,    30,    26,    13,    20,     8,    29,    81,    82,
      33,    26,    27,    32,    28,    25,    30,    26,    11,    12,
      13,    14,    15,    13,    27,    30,    19,    20,    21,    22,
      23,    28,    25,    30,    27,    12,    26,    28,    27,    29,
      19,    20,    21,    22,    23,    26,    25,    27,    11,    12,
      13,    14,    15,    35,    -1,    34,    19,    20,    21,    22,
      23,    -1,    25,    19,    20,    21,    22,    23,    -1,    25,
      19,    20,    21,    22,    23,    31,    25,    19,    20,    21,
      22,    23,    31,    25,    -1,    -1,    28,    19,    20,    21,
      22,    23,    -1,    25,    -1,    27,    19,    20,    21,    22,
      23,    -1,    25,    19,    20,    21,    22,    23,    -1,    25,
      21,    22,    23,    -1,    25,    21,    22,    23,    -1,    25
};

/* YYSTOS[STATE-NUM] -- The (internal number of the) accessing
   symbol of state STATE-NUM.  */
static const unsigned char yystos[] =
{
       0,    37,     0,     3,    26,    38,    39,    41,    29,    40,
      41,    11,     3,     4,    20,    26,    42,    43,    48,    27,
      28,     3,    29,    48,    48,    28,    30,    19,    20,    21,
      22,    23,    25,    31,    41,    13,    39,    43,    27,    42,
      48,    48,    48,    48,    48,    48,    48,    40,    32,    44,
      30,    31,    12,    45,    48,    39,     6,     7,     9,    10,
      33,    39,    46,    44,     3,    26,    35,    48,    51,    51,
      39,    11,    11,    48,    51,    51,    11,    12,    13,    14,
      15,    16,    17,    44,    44,    34,     3,     4,     5,    20,
      26,    47,    29,    27,    48,    48,    48,    48,    48,    51,
      51,     8,    13,    26,    29,    47,    27,    47,    49,    50,
      19,    20,    21,    22,    23,    25,    34,    42,    44,    49,
      49,    43,    28,    27,    28,    47,    47,    47,    47,    47,
      47,    30,    12,    27,    30,    47,    47,    44,    26,    49,
      27
};

#if ! defined (YYSIZE_T) && defined (__SIZE_TYPE__)
# define YYSIZE_T __SIZE_TYPE__
#endif
#if ! defined (YYSIZE_T) && defined (size_t)
# define YYSIZE_T size_t
#endif
#if ! defined (YYSIZE_T)
# if defined (__STDC__) || defined (__cplusplus)
#  include <stddef.h> /* INFRINGES ON USER NAME SPACE */
#  define YYSIZE_T size_t
# endif
#endif
#if ! defined (YYSIZE_T)
# define YYSIZE_T unsigned int
#endif

#define yyerrok		(yyerrstatus = 0)
#define yyclearin	(yychar = YYEMPTY)
#define YYEMPTY		(-2)
#define YYEOF		0

#define YYACCEPT	goto yyacceptlab
#define YYABORT		goto yyabortlab
#define YYERROR		goto yyerrorlab


/* Like YYERROR except do call yyerror.  This remains here temporarily
   to ease the transition to the new meaning of YYERROR, for GCC.
   Once GCC version 2 has supplanted version 1, this can go.  */

#define YYFAIL		goto yyerrlab

#define YYRECOVERING()  (!!yyerrstatus)

#define YYBACKUP(Token, Value)					\
do								\
  if (yychar == YYEMPTY && yylen == 1)				\
    {								\
      yychar = (Token);						\
      yylval = (Value);						\
      yytoken = YYTRANSLATE (yychar);				\
      YYPOPSTACK;						\
      goto yybackup;						\
    }								\
  else								\
    { 								\
      yyerror ("syntax error: cannot back up");\
      YYERROR;							\
    }								\
while (0)

#define YYTERROR	1
#define YYERRCODE	256

/* YYLLOC_DEFAULT -- Compute the default location (before the actions
   are run).  */

#ifndef YYLLOC_DEFAULT
# define YYLLOC_DEFAULT(Current, Rhs, N)		\
   ((Current).first_line   = (Rhs)[1].first_line,	\
    (Current).first_column = (Rhs)[1].first_column,	\
    (Current).last_line    = (Rhs)[N].last_line,	\
    (Current).last_column  = (Rhs)[N].last_column)
#endif

/* YYLEX -- calling `yylex' with the right arguments.  */

#ifdef YYLEX_PARAM
# define YYLEX yylex (YYLEX_PARAM)
#else
# define YYLEX yylex ()
#endif

/* Enable debugging if requested.  */
#if YYDEBUG

# ifndef YYFPRINTF
#  include <stdio.h> /* INFRINGES ON USER NAME SPACE */
#  define YYFPRINTF fprintf
# endif

# define YYDPRINTF(Args)			\
do {						\
  if (yydebug)					\
    YYFPRINTF Args;				\
} while (0)

# define YYDSYMPRINT(Args)			\
do {						\
  if (yydebug)					\
    yysymprint Args;				\
} while (0)

# define YYDSYMPRINTF(Title, Token, Value, Location)		\
do {								\
  if (yydebug)							\
    {								\
      YYFPRINTF (stderr, "%s ", Title);				\
      yysymprint (stderr, 					\
                  Token, Value, Location);	\
      YYFPRINTF (stderr, "\n");					\
    }								\
} while (0)

/*------------------------------------------------------------------.
| yy_stack_print -- Print the state stack from its BOTTOM up to its |
| TOP (included).                                                   |
`------------------------------------------------------------------*/

#if defined (__STDC__) || defined (__cplusplus)
static void
yy_stack_print (short int *bottom, short int *top)
#else
static void
yy_stack_print (bottom, top)
    short int *bottom;
    short int *top;
#endif
{
  YYFPRINTF (stderr, "Stack now");
  for (/* Nothing. */; bottom <= top; ++bottom)
    YYFPRINTF (stderr, " %d", *bottom);
  YYFPRINTF (stderr, "\n");
}

# define YY_STACK_PRINT(Bottom, Top)				\
do {								\
  if (yydebug)							\
    yy_stack_print ((Bottom), (Top));				\
} while (0)


/*------------------------------------------------.
| Report that the YYRULE is going to be reduced.  |
`------------------------------------------------*/

#if defined (__STDC__) || defined (__cplusplus)
static void
yy_reduce_print (int yyrule)
#else
static void
yy_reduce_print (yyrule)
    int yyrule;
#endif
{
  int yyi;
  unsigned int yylno = yyrline[yyrule];
  YYFPRINTF (stderr, "Reducing stack by rule %d (line %u), ",
             yyrule - 1, yylno);
  /* Print the symbols being reduced, and their result.  */
  for (yyi = yyprhs[yyrule]; 0 <= yyrhs[yyi]; yyi++)
    YYFPRINTF (stderr, "%s ", yytname [yyrhs[yyi]]);
  YYFPRINTF (stderr, "-> %s\n", yytname [yyr1[yyrule]]);
}

# define YY_REDUCE_PRINT(Rule)		\
do {					\
  if (yydebug)				\
    yy_reduce_print (Rule);		\
} while (0)

/* Nonzero means print parse trace.  It is left uninitialized so that
   multiple parsers can coexist.  */
int yydebug;
#else /* !YYDEBUG */
# define YYDPRINTF(Args)
# define YYDSYMPRINT(Args)
# define YYDSYMPRINTF(Title, Token, Value, Location)
# define YY_STACK_PRINT(Bottom, Top)
# define YY_REDUCE_PRINT(Rule)
#endif /* !YYDEBUG */


/* YYINITDEPTH -- initial size of the parser's stacks.  */
#ifndef	YYINITDEPTH
# define YYINITDEPTH 200
#endif

/* YYMAXDEPTH -- maximum size the stacks can grow to (effective only
   if the built-in stack extension method is used).

   Do not make this value too large; the results are undefined if
   SIZE_MAX < YYSTACK_BYTES (YYMAXDEPTH)
   evaluated with infinite-precision integer arithmetic.  */

#if defined (YYMAXDEPTH) && YYMAXDEPTH == 0
# undef YYMAXDEPTH
#endif

#ifndef YYMAXDEPTH
# define YYMAXDEPTH 10000
#endif



#if YYERROR_VERBOSE

# ifndef yystrlen
#  if defined (__GLIBC__) && defined (_STRING_H)
#   define yystrlen strlen
#  else
/* Return the length of YYSTR.  */
static YYSIZE_T
#   if defined (__STDC__) || defined (__cplusplus)
yystrlen (const char *yystr)
#   else
yystrlen (yystr)
     const char *yystr;
#   endif
{
  register const char *yys = yystr;

  while (*yys++ != '\0')
    continue;

  return yys - yystr - 1;
}
#  endif
# endif

# ifndef yystpcpy
#  if defined (__GLIBC__) && defined (_STRING_H) && defined (_GNU_SOURCE)
#   define yystpcpy stpcpy
#  else
/* Copy YYSRC to YYDEST, returning the address of the terminating '\0' in
   YYDEST.  */
static char *
#   if defined (__STDC__) || defined (__cplusplus)
yystpcpy (char *yydest, const char *yysrc)
#   else
yystpcpy (yydest, yysrc)
     char *yydest;
     const char *yysrc;
#   endif
{
  register char *yyd = yydest;
  register const char *yys = yysrc;

  while ((*yyd++ = *yys++) != '\0')
    continue;

  return yyd - 1;
}
#  endif
# endif

#endif /* !YYERROR_VERBOSE */



#if YYDEBUG
/*--------------------------------.
| Print this symbol on YYOUTPUT.  |
`--------------------------------*/

#if defined (__STDC__) || defined (__cplusplus)
static void
yysymprint (FILE *yyoutput, int yytype, YYSTYPE *yyvaluep, YYLTYPE *yylocationp)
#else
static void
yysymprint (yyoutput, yytype, yyvaluep, yylocationp)
    FILE *yyoutput;
    int yytype;
    YYSTYPE *yyvaluep;
    YYLTYPE *yylocationp;
#endif
{
  /* Pacify ``unused variable'' warnings.  */
  (void) yyvaluep;
  (void) yylocationp;

  if (yytype < YYNTOKENS)
    {
      YYFPRINTF (yyoutput, "token %s (", yytname[yytype]);
# ifdef YYPRINT
      YYPRINT (yyoutput, yytoknum[yytype], *yyvaluep);
# endif
    }
  else
    YYFPRINTF (yyoutput, "nterm %s (", yytname[yytype]);

  switch (yytype)
    {
      default:
        break;
    }
  YYFPRINTF (yyoutput, ")");
}

#endif /* ! YYDEBUG */
/*-----------------------------------------------.
| Release the memory associated to this symbol.  |
`-----------------------------------------------*/

#if defined (__STDC__) || defined (__cplusplus)
static void
yydestruct (int yytype, YYSTYPE *yyvaluep, YYLTYPE *yylocationp)
#else
static void
yydestruct (yytype, yyvaluep, yylocationp)
    int yytype;
    YYSTYPE *yyvaluep;
    YYLTYPE *yylocationp;
#endif
{
  /* Pacify ``unused variable'' warnings.  */
  (void) yyvaluep;
  (void) yylocationp;

  switch (yytype)
    {

      default:
        break;
    }
}


/* Prevent warnings from -Wmissing-prototypes.  */

#ifdef YYPARSE_PARAM
# if defined (__STDC__) || defined (__cplusplus)
int yyparse (void *YYPARSE_PARAM);
# else
int yyparse ();
# endif
#else /* ! YYPARSE_PARAM */
#if defined (__STDC__) || defined (__cplusplus)
int yyparse (void);
#else
int yyparse ();
#endif
#endif /* ! YYPARSE_PARAM */



/* The lookahead symbol.  */
int yychar;

/* The semantic value of the lookahead symbol.  */
YYSTYPE yylval;

/* Number of syntax errors so far.  */
int yynerrs;
/* Location data for the lookahead symbol.  */
YYLTYPE yylloc;



/*----------.
| yyparse.  |
`----------*/

#ifdef YYPARSE_PARAM
# if defined (__STDC__) || defined (__cplusplus)
int yyparse (void *YYPARSE_PARAM)
# else
int yyparse (YYPARSE_PARAM)
  void *YYPARSE_PARAM;
# endif
#else /* ! YYPARSE_PARAM */
#if defined (__STDC__) || defined (__cplusplus)
int
yyparse (void)
#else
int
yyparse ()

#endif
#endif
{
  
  register int yystate;
  register int yyn;
  int yyresult;
  /* Number of tokens to shift before error messages enabled.  */
  int yyerrstatus;
  /* Lookahead token as an internal (translated) token number.  */
  int yytoken = 0;

  /* Three stacks and their tools:
     `yyss': related to states,
     `yyvs': related to semantic values,
     `yyls': related to locations.

     Refer to the stacks thru separate pointers, to allow yyoverflow
     to reallocate them elsewhere.  */

  /* The state stack.  */
  short int yyssa[YYINITDEPTH];
  short int *yyss = yyssa;
  register short int *yyssp;

  /* The semantic value stack.  */
  YYSTYPE yyvsa[YYINITDEPTH];
  YYSTYPE *yyvs = yyvsa;
  register YYSTYPE *yyvsp;

  /* The location stack.  */
  YYLTYPE yylsa[YYINITDEPTH];
  YYLTYPE *yyls = yylsa;
  YYLTYPE *yylsp;
  YYLTYPE *yylerrsp;

#define YYPOPSTACK   (yyvsp--, yyssp--, yylsp--)

  YYSIZE_T yystacksize = YYINITDEPTH;

  /* The variables used to return semantic value and location from the
     action routines.  */
  YYSTYPE yyval;
  YYLTYPE yyloc;

  /* When reducing, the number of symbols on the RHS of the reduced
     rule.  */
  int yylen;

  YYDPRINTF ((stderr, "Starting parse\n"));

  yystate = 0;
  yyerrstatus = 0;
  yynerrs = 0;
  yychar = YYEMPTY;		/* Cause a token to be read.  */

  /* Initialize stack pointers.
     Waste one element of value and location stack
     so that they stay on the same level as the state stack.
     The wasted elements are never initialized.  */

  yyssp = yyss;
  yyvsp = yyvs;
  yylsp = yyls;

  goto yysetstate;

/*------------------------------------------------------------.
| yynewstate -- Push a new state, which is found in yystate.  |
`------------------------------------------------------------*/
 yynewstate:
  /* In all cases, when you get here, the value and location stacks
     have just been pushed. so pushing a state here evens the stacks.
     */
  yyssp++;

 yysetstate:
  *yyssp = yystate;

  if (yyss + yystacksize - 1 <= yyssp)
    {
      /* Get the current used size of the three stacks, in elements.  */
      YYSIZE_T yysize = yyssp - yyss + 1;

#ifdef yyoverflow
      {
	/* Give user a chance to reallocate the stack. Use copies of
	   these so that the &'s don't force the real ones into
	   memory.  */
	YYSTYPE *yyvs1 = yyvs;
	short int *yyss1 = yyss;
	YYLTYPE *yyls1 = yyls;

	/* Each stack pointer address is followed by the size of the
	   data in use in that stack, in bytes.  This used to be a
	   conditional around just the two extra args, but that might
	   be undefined if yyoverflow is a macro.  */
	yyoverflow ("parser stack overflow",
		    &yyss1, yysize * sizeof (*yyssp),
		    &yyvs1, yysize * sizeof (*yyvsp),
		    &yyls1, yysize * sizeof (*yylsp),
		    &yystacksize);
	yyls = yyls1;
	yyss = yyss1;
	yyvs = yyvs1;
      }
#else /* no yyoverflow */
# ifndef YYSTACK_RELOCATE
      goto yyoverflowlab;
# else
      /* Extend the stack our own way.  */
      if (YYMAXDEPTH <= yystacksize)
	goto yyoverflowlab;
      yystacksize *= 2;
      if (YYMAXDEPTH < yystacksize)
	yystacksize = YYMAXDEPTH;

      {
	short int *yyss1 = yyss;
	union yyalloc *yyptr =
	  (union yyalloc *) YYSTACK_ALLOC (YYSTACK_BYTES (yystacksize));
	if (! yyptr)
	  goto yyoverflowlab;
	YYSTACK_RELOCATE (yyss);
	YYSTACK_RELOCATE (yyvs);
	YYSTACK_RELOCATE (yyls);
#  undef YYSTACK_RELOCATE
	if (yyss1 != yyssa)
	  YYSTACK_FREE (yyss1);
      }
# endif
#endif /* no yyoverflow */

      yyssp = yyss + yysize - 1;
      yyvsp = yyvs + yysize - 1;
      yylsp = yyls + yysize - 1;

      YYDPRINTF ((stderr, "Stack size increased to %lu\n",
		  (unsigned long int) yystacksize));

      if (yyss + yystacksize - 1 <= yyssp)
	YYABORT;
    }

  YYDPRINTF ((stderr, "Entering state %d\n", yystate));

  goto yybackup;

/*-----------.
| yybackup.  |
`-----------*/
yybackup:

/* Do appropriate processing given the current state.  */
/* Read a lookahead token if we need one and don't already have one.  */
/* yyresume: */

  /* First try to decide what to do without reference to lookahead token.  */

  yyn = yypact[yystate];
  if (yyn == YYPACT_NINF)
    goto yydefault;

  /* Not known => get a lookahead token if don't already have one.  */

  /* YYCHAR is either YYEMPTY or YYEOF or a valid lookahead symbol.  */
  if (yychar == YYEMPTY)
    {
      YYDPRINTF ((stderr, "Reading a token: "));
      yychar = YYLEX;
    }

  if (yychar <= YYEOF)
    {
      yychar = yytoken = YYEOF;
      YYDPRINTF ((stderr, "Now at end of input.\n"));
    }
  else
    {
      yytoken = YYTRANSLATE (yychar);
      YYDSYMPRINTF ("Next token is", yytoken, &yylval, &yylloc);
    }

  /* If the proper action on seeing token YYTOKEN is to reduce or to
     detect an error, take that action.  */
  yyn += yytoken;
  if (yyn < 0 || YYLAST < yyn || yycheck[yyn] != yytoken)
    goto yydefault;
  yyn = yytable[yyn];
  if (yyn <= 0)
    {
      if (yyn == 0 || yyn == YYTABLE_NINF)
	goto yyerrlab;
      yyn = -yyn;
      goto yyreduce;
    }

  if (yyn == YYFINAL)
    YYACCEPT;

  /* Shift the lookahead token.  */
  YYDPRINTF ((stderr, "Shifting token %s, ", yytname[yytoken]));

  /* Discard the token being shifted unless it is eof.  */
  if (yychar != YYEOF)
    yychar = YYEMPTY;

  *++yyvsp = yylval;
  *++yylsp = yylloc;

  /* Count tokens shifted since error; after three, turn off error
     status.  */
  if (yyerrstatus)
    yyerrstatus--;

  yystate = yyn;
  goto yynewstate;


/*-----------------------------------------------------------.
| yydefault -- do the default action for the current state.  |
`-----------------------------------------------------------*/
yydefault:
  yyn = yydefact[yystate];
  if (yyn == 0)
    goto yyerrlab;
  goto yyreduce;


/*-----------------------------.
| yyreduce -- Do a reduction.  |
`-----------------------------*/
yyreduce:
  /* yyn is the number of a rule to reduce with.  */
  yylen = yyr2[yyn];

  /* If YYLEN is nonzero, implement the default value of the action:
     `$$ = $1'.

     Otherwise, the following line sets YYVAL to garbage.
     This behavior is undocumented and Bison
     users should not rely upon it.  Assigning to YYVAL
     unconditionally makes the parser a bit smaller, and it avoids a
     GCC warning that YYVAL may be used uninitialized.  */
  yyval = yyvsp[1-yylen];

  /* Default location. */
  YYLLOC_DEFAULT (yyloc, yylsp - yylen, yylen);
  YY_REDUCE_PRINT (yyn);
  switch (yyn)
    {
        case 3:
#line 81 "alluvion.yacc.y"
    {
    AlluvionProgram->AddFunction (yyvsp[0].Fun);
  ;}
    break;

  case 4:
#line 87 "alluvion.yacc.y"
    {
    yyval.Fun = new Function (yyvsp[-2].String, yyvsp[-4].ArgVec, yyvsp[-1].ArgVec, yyvsp[0].Seq);
  ;}
    break;

  case 5:
#line 91 "alluvion.yacc.y"
    {
    yyval.Fun = new Function (yyvsp[-5].String, yyvsp[-7].ArgVec, yyvsp[-1].ArgVec, yyvsp[0].Seq, yyvsp[-3].ArgVec);
  ;}
    break;

  case 6:
#line 97 "alluvion.yacc.y"
    {
    yyval.ArgVec = new ArgumentVector (yyvsp[0].Arg);
    yyval.ArgVec->SetLocation (yyloc);
  ;}
    break;

  case 7:
#line 102 "alluvion.yacc.y"
    {
    yyval.ArgVec = yyvsp[-1].ArgVec;
    yyval.ArgVec->SetLocation (yyloc);
  ;}
    break;

  case 8:
#line 109 "alluvion.yacc.y"
    {
    yyval.ArgVec = new ArgumentVector (yyvsp[0].Arg);
  ;}
    break;

  case 9:
#line 113 "alluvion.yacc.y"
    {
    yyvsp[-2].ArgVec->AddArgument (yyvsp[0].Arg);
    yyval.ArgVec = yyvsp[-2].ArgVec;
  ;}
    break;

  case 10:
#line 120 "alluvion.yacc.y"
    {
    yyval.Arg = new ArgumentExpression (yyvsp[0].String, yyloc);
  ;}
    break;

  case 11:
#line 124 "alluvion.yacc.y"
    {
    yyval.Arg = new ArgumentExpression (yyvsp[-3].String, yyvsp[-1].Rngs, yyloc);
  ;}
    break;

  case 12:
#line 130 "alluvion.yacc.y"
    {
    yyval.Rng = new RangeExpression (yyvsp[0].Expr);
    yyval.Rng->SetLocation (yyloc);
  ;}
    break;

  case 13:
#line 135 "alluvion.yacc.y"
    {
    yyval.Rng = new RangeExpression (yyvsp[-2].Expr, yyvsp[0].Expr);
    yyval.Rng->SetLocation (yyloc);
  ;}
    break;

  case 14:
#line 140 "alluvion.yacc.y"
    {
    yyval.Rng = new RangeExpression (yyvsp[-4].Expr, yyvsp[-2].Expr, yyvsp[0].Expr);
    yyval.Rng->SetLocation (yyloc);
  ;}
    break;

  case 15:
#line 147 "alluvion.yacc.y"
    {
     yyval.Rngs = new RangesExpression ();
     yyval.Rngs->AddRange (yyvsp[0].Rng);
  ;}
    break;

  case 16:
#line 152 "alluvion.yacc.y"
    {
     yyval.Rngs->AddRange (yyvsp[0].Rng);
  ;}
    break;

  case 17:
#line 158 "alluvion.yacc.y"
    {
    yyval.Seq = yyvsp[-1].Seq;
  ;}
    break;

  case 18:
#line 163 "alluvion.yacc.y"
    {
    yyval.Seq = new Sequence ();
  ;}
    break;

  case 19:
#line 167 "alluvion.yacc.y"
    {
    yyvsp[-1].Seq->AddStatement (yyvsp[0].Stmnt);
  ;}
    break;

  case 20:
#line 173 "alluvion.yacc.y"
    { yyval.Stmnt = new Assignment (yyvsp[-3].ArgVec, yyvsp[-1].Expr, yyloc); ;}
    break;

  case 21:
#line 175 "alluvion.yacc.y"
    { yyval.Stmnt = new ForStatement (yyvsp[-5].String, yyvsp[-2].Rng, yyvsp[0].Seq, yyloc); ;}
    break;

  case 22:
#line 177 "alluvion.yacc.y"
    { yyval.Stmnt = new IfStatement (yyvsp[-1].Bool, yyvsp[0].Seq, yyloc); ;}
    break;

  case 23:
#line 179 "alluvion.yacc.y"
    { yyval.Stmnt = new IfStatement (yyvsp[-3].Bool, yyvsp[-2].Seq, yyvsp[0].Seq, yyloc); ;}
    break;

  case 24:
#line 181 "alluvion.yacc.y"
    { yyval.Stmnt = new WhileStatement (yyvsp[-1].Bool, yyvsp[0].Seq, yyloc); ;}
    break;

  case 25:
#line 183 "alluvion.yacc.y"
    { yyval.Stmnt = new PrintStatement (yyvsp[-1].ArgVec, yyloc); ;}
    break;

  case 26:
#line 187 "alluvion.yacc.y"
    { yyval.Expr = new ArgumentExpression (yyvsp[0].String, yyloc); ;}
    break;

  case 27:
#line 189 "alluvion.yacc.y"
    { yyval.Expr = new ArgumentExpression (yyvsp[-3].String, yyvsp[-1].Rngs, yyloc); ;}
    break;

  case 28:
#line 191 "alluvion.yacc.y"
    { yyvsp[-1].Expr->SetLocation (yyloc); yyval.Expr = yyvsp[-1].Expr; ;}
    break;

  case 29:
#line 193 "alluvion.yacc.y"
    { yyval.Expr = new EmptyExpression (yyloc); ;}
    break;

  case 30:
#line 195 "alluvion.yacc.y"
    { yyval.Expr = new CallExpression (yyvsp[-3].String, yyvsp[-1].Expr, yyloc); ;}
    break;

  case 31:
#line 197 "alluvion.yacc.y"
    { yyval.Expr = new CallExpression (yyvsp[-6].String, yyvsp[-1].Expr, yyvsp[-4].Expr, yyloc); ;}
    break;

  case 32:
#line 199 "alluvion.yacc.y"
    { yyval.Expr = new BitExpression (yyvsp[0].String, yyloc); ;}
    break;

  case 33:
#line 201 "alluvion.yacc.y"
    { yyval.Expr = new NumberExpression (yyvsp[0].Number, yyloc); ;}
    break;

  case 34:
#line 203 "alluvion.yacc.y"
    { yyval.Expr = new BinaryExpression ('+', yyvsp[-2].Expr, yyvsp[0].Expr, yyloc); ;}
    break;

  case 35:
#line 205 "alluvion.yacc.y"
    { yyval.Expr = new BinaryExpression ('-', yyvsp[-2].Expr, yyvsp[0].Expr, yyloc); ;}
    break;

  case 36:
#line 207 "alluvion.yacc.y"
    { yyval.Expr = new BinaryExpression ('*', yyvsp[-2].Expr, yyvsp[0].Expr, yyloc); ;}
    break;

  case 37:
#line 209 "alluvion.yacc.y"
    { yyval.Expr = new BinaryExpression ('/', yyvsp[-2].Expr, yyvsp[0].Expr, yyloc); ;}
    break;

  case 38:
#line 211 "alluvion.yacc.y"
    { yyval.Expr = new BinaryExpression ('%', yyvsp[-2].Expr, yyvsp[0].Expr, yyloc); ;}
    break;

  case 39:
#line 213 "alluvion.yacc.y"
    { yyval.Expr = new BinaryExpression ('^', yyvsp[-2].Expr, yyvsp[0].Expr, yyloc); ;}
    break;

  case 40:
#line 215 "alluvion.yacc.y"
    { yyval.Expr = new UnaryExpression ('-', yyvsp[0].Expr, yyloc); ;}
    break;

  case 41:
#line 219 "alluvion.yacc.y"
    { yyval.Expr = new ArgumentExpression (yyvsp[0].String, yyloc); ;}
    break;

  case 42:
#line 221 "alluvion.yacc.y"
    { yyval.Expr = new ArgumentExpression (yyvsp[-3].String, yyvsp[-1].Rngs, yyloc); ;}
    break;

  case 43:
#line 223 "alluvion.yacc.y"
    { yyval.Expr = new NumberExpression (yyvsp[0].Number, yyloc); ;}
    break;

  case 44:
#line 225 "alluvion.yacc.y"
    { yyvsp[-1].Expr->SetLocation (yyloc); yyval.Expr = yyvsp[-1].Expr; ;}
    break;

  case 45:
#line 227 "alluvion.yacc.y"
    { yyval.Expr = new BinaryExpression ('+', yyvsp[-2].Expr, yyvsp[0].Expr, yyloc); ;}
    break;

  case 46:
#line 229 "alluvion.yacc.y"
    { yyval.Expr = new BinaryExpression ('-', yyvsp[-2].Expr, yyvsp[0].Expr, yyloc); ;}
    break;

  case 47:
#line 231 "alluvion.yacc.y"
    { yyval.Expr = new BinaryExpression ('*', yyvsp[-2].Expr, yyvsp[0].Expr, yyloc); ;}
    break;

  case 48:
#line 233 "alluvion.yacc.y"
    { yyval.Expr = new BinaryExpression ('/', yyvsp[-2].Expr, yyvsp[0].Expr, yyloc); ;}
    break;

  case 49:
#line 235 "alluvion.yacc.y"
    { yyval.Expr = new BinaryExpression ('%', yyvsp[-2].Expr, yyvsp[0].Expr, yyloc); ;}
    break;

  case 50:
#line 237 "alluvion.yacc.y"
    { yyval.Expr = new BinaryExpression ('^', yyvsp[-2].Expr, yyvsp[0].Expr, yyloc); ;}
    break;

  case 51:
#line 239 "alluvion.yacc.y"
    { yyval.Expr = new UnaryExpression ('-', yyvsp[0].Expr, yyloc); ;}
    break;

  case 52:
#line 243 "alluvion.yacc.y"
    { yyval.Expr = yyvsp[0].Expr; ;}
    break;

  case 53:
#line 245 "alluvion.yacc.y"
    { yyval.Expr = yyvsp[0].VExpr;
    yyval.Expr->SetLocation (yyloc);
  ;}
    break;

  case 54:
#line 251 "alluvion.yacc.y"
    {
    yyval.VExpr = new VectorExpression ();
    yyval.VExpr->AddExpression (yyvsp[-2].Expr);
    yyval.VExpr->AddExpression (yyvsp[0].Expr);
  ;}
    break;

  case 55:
#line 257 "alluvion.yacc.y"
    {
    yyvsp[-2].VExpr->AddExpression (yyvsp[0].Expr);
    yyval.VExpr = yyvsp[-2].VExpr;
  ;}
    break;

  case 56:
#line 264 "alluvion.yacc.y"
    { yyval.Bool = new Comparison ('=', yyvsp[-2].Expr, yyvsp[0].Expr, yyloc); ;}
    break;

  case 57:
#line 266 "alluvion.yacc.y"
    { yyval.Bool = new Comparison ('>', yyvsp[-2].Expr, yyvsp[0].Expr, yyloc); ;}
    break;

  case 58:
#line 268 "alluvion.yacc.y"
    { yyval.Bool = new Comparison ('<', yyvsp[-2].Expr, yyvsp[0].Expr, yyloc); ;}
    break;

  case 59:
#line 270 "alluvion.yacc.y"
    { yyval.Bool = new Comparison ('g', yyvsp[-2].Expr, yyvsp[0].Expr, yyloc); ;}
    break;

  case 60:
#line 272 "alluvion.yacc.y"
    { yyval.Bool = new Comparison ('l', yyvsp[-2].Expr, yyvsp[0].Expr, yyloc); ;}
    break;

  case 61:
#line 274 "alluvion.yacc.y"
    { yyval.Bool = new BooleanBinary ('&', yyvsp[-2].Bool, yyvsp[0].Bool, yyloc); ;}
    break;

  case 62:
#line 276 "alluvion.yacc.y"
    { yyval.Bool = new BooleanBinary ('|', yyvsp[-2].Bool, yyvsp[0].Bool, yyloc); ;}
    break;

  case 63:
#line 278 "alluvion.yacc.y"
    { yyval.Bool = new BooleanNot (yyvsp[0].Bool, yyloc); ;}
    break;

  case 64:
#line 280 "alluvion.yacc.y"
    { yyval.Bool = yyvsp[-1].Bool; ;}
    break;


    }

/* Line 1010 of yacc.c.  */
#line 1557 "alluvion.yacc.cc"

  yyvsp -= yylen;
  yyssp -= yylen;
  yylsp -= yylen;

  YY_STACK_PRINT (yyss, yyssp);

  *++yyvsp = yyval;
  *++yylsp = yyloc;

  /* Now `shift' the result of the reduction.  Determine what state
     that goes to, based on the state we popped back to and the rule
     number reduced by.  */

  yyn = yyr1[yyn];

  yystate = yypgoto[yyn - YYNTOKENS] + *yyssp;
  if (0 <= yystate && yystate <= YYLAST && yycheck[yystate] == *yyssp)
    yystate = yytable[yystate];
  else
    yystate = yydefgoto[yyn - YYNTOKENS];

  goto yynewstate;


/*------------------------------------.
| yyerrlab -- here on detecting error |
`------------------------------------*/
yyerrlab:
  /* If not already recovering from an error, report this error.  */
  if (!yyerrstatus)
    {
      ++yynerrs;
#if YYERROR_VERBOSE
      yyn = yypact[yystate];

      if (YYPACT_NINF < yyn && yyn < YYLAST)
	{
	  YYSIZE_T yysize = 0;
	  int yytype = YYTRANSLATE (yychar);
	  const char* yyprefix;
	  char *yymsg;
	  int yyx;

	  /* Start YYX at -YYN if negative to avoid negative indexes in
	     YYCHECK.  */
	  int yyxbegin = yyn < 0 ? -yyn : 0;

	  /* Stay within bounds of both yycheck and yytname.  */
	  int yychecklim = YYLAST - yyn;
	  int yyxend = yychecklim < YYNTOKENS ? yychecklim : YYNTOKENS;
	  int yycount = 0;

	  yyprefix = ", expecting ";
	  for (yyx = yyxbegin; yyx < yyxend; ++yyx)
	    if (yycheck[yyx + yyn] == yyx && yyx != YYTERROR)
	      {
		yysize += yystrlen (yyprefix) + yystrlen (yytname [yyx]);
		yycount += 1;
		if (yycount == 5)
		  {
		    yysize = 0;
		    break;
		  }
	      }
	  yysize += (sizeof ("syntax error, unexpected ")
		     + yystrlen (yytname[yytype]));
	  yymsg = (char *) YYSTACK_ALLOC (yysize);
	  if (yymsg != 0)
	    {
	      char *yyp = yystpcpy (yymsg, "syntax error, unexpected ");
	      yyp = yystpcpy (yyp, yytname[yytype]);

	      if (yycount < 5)
		{
		  yyprefix = ", expecting ";
		  for (yyx = yyxbegin; yyx < yyxend; ++yyx)
		    if (yycheck[yyx + yyn] == yyx && yyx != YYTERROR)
		      {
			yyp = yystpcpy (yyp, yyprefix);
			yyp = yystpcpy (yyp, yytname[yyx]);
			yyprefix = " or ";
		      }
		}
	      yyerror (yymsg);
	      YYSTACK_FREE (yymsg);
	    }
	  else
	    yyerror ("syntax error; also virtual memory exhausted");
	}
      else
#endif /* YYERROR_VERBOSE */
	yyerror ("syntax error");
    }

  yylerrsp = yylsp;

  if (yyerrstatus == 3)
    {
      /* If just tried and failed to reuse lookahead token after an
	 error, discard it.  */

      if (yychar <= YYEOF)
        {
          /* If at end of input, pop the error token,
	     then the rest of the stack, then return failure.  */
	  if (yychar == YYEOF)
	     for (;;)
	       {
		 YYPOPSTACK;
		 if (yyssp == yyss)
		   YYABORT;
		 YYDSYMPRINTF ("Error: popping", yystos[*yyssp], yyvsp, yylsp);
		 yydestruct (yystos[*yyssp], yyvsp, yylsp);
	       }
        }
      else
	{
	  YYDSYMPRINTF ("Error: discarding", yytoken, &yylval, &yylloc);
	  yydestruct (yytoken, &yylval, &yylloc);
	  yychar = YYEMPTY;
	  *++yylerrsp = yylloc;
	}
    }

  /* Else will try to reuse lookahead token after shifting the error
     token.  */
  goto yyerrlab1;


/*---------------------------------------------------.
| yyerrorlab -- error raised explicitly by YYERROR.  |
`---------------------------------------------------*/
yyerrorlab:

#ifdef __GNUC__
  /* Pacify GCC when the user code never invokes YYERROR and the label
     yyerrorlab therefore never appears in user code.  */
  if (0)
     goto yyerrorlab;
#endif

  yyvsp -= yylen;
  yyssp -= yylen;
  yystate = *yyssp;
  yylerrsp = yylsp;
  *++yylerrsp = yyloc;
  yylsp -= yylen;
  goto yyerrlab1;


/*-------------------------------------------------------------.
| yyerrlab1 -- common code for both syntax error and YYERROR.  |
`-------------------------------------------------------------*/
yyerrlab1:
  yyerrstatus = 3;	/* Each real token shifted decrements this.  */

  for (;;)
    {
      yyn = yypact[yystate];
      if (yyn != YYPACT_NINF)
	{
	  yyn += YYTERROR;
	  if (0 <= yyn && yyn <= YYLAST && yycheck[yyn] == YYTERROR)
	    {
	      yyn = yytable[yyn];
	      if (0 < yyn)
		break;
	    }
	}

      /* Pop the current state because it cannot handle the error token.  */
      if (yyssp == yyss)
	YYABORT;

      YYDSYMPRINTF ("Error: popping", yystos[*yyssp], yyvsp, yylsp);
      yydestruct (yystos[yystate], yyvsp, yylsp);
      YYPOPSTACK;
      yystate = *yyssp;
      YY_STACK_PRINT (yyss, yyssp);
    }

  if (yyn == YYFINAL)
    YYACCEPT;

  YYDPRINTF ((stderr, "Shifting error token, "));

  *++yyvsp = yylval;
  YYLLOC_DEFAULT (yyloc, yylsp, yylerrsp - yylsp);
  *++yylsp = yyloc;

  yystate = yyn;
  goto yynewstate;


/*-------------------------------------.
| yyacceptlab -- YYACCEPT comes here.  |
`-------------------------------------*/
yyacceptlab:
  yyresult = 0;
  goto yyreturn;

/*-----------------------------------.
| yyabortlab -- YYABORT comes here.  |
`-----------------------------------*/
yyabortlab:
  yyresult = 1;
  goto yyreturn;

#ifndef yyoverflow
/*----------------------------------------------.
| yyoverflowlab -- parser overflow comes here.  |
`----------------------------------------------*/
yyoverflowlab:
  yyerror ("parser stack overflow");
  yyresult = 2;
  /* Fall through.  */
#endif

yyreturn:
#ifndef yyoverflow
  if (yyss != yyssa)
    YYSTACK_FREE (yyss);
#endif
  return yyresult;
}


#line 283 "alluvion.yacc.y"


