#include "bitexpression.h"
#include "instance.h"
#include "program.h"

void BitExpression::Evaluate (Instance &In, Instance &Out)
{
  Program *Prog = In.GetFunction ()->GetProgram ();
  for (char *Bit = Bits; *Bit != 0; Bit ++)
  {
    if (*Bit == '1')
      Out.WriteValue (Prog->GetTrueValue ());
    else if (*Bit == '0')
      Out.WriteValue (Prog->GetFalseValue ());
  }
}
