#include "rangesexpression.h"
#include "instance.h"

vector<Range> *RangesExpression::EvaluateRanges (Instance &In)
{
  vector<Range> *Ranges = new vector<Range>;
  for (unsigned i = 0; i < RangeExs.size (); i ++)
    Ranges->push_back (RangeExs[i]->EvaluateRange (In));
  return Ranges;
}

void RangesExpression::Print (ostream &s) const
{
  s << '[';
  for (unsigned i = 0; i < RangeExs.size (); i ++)
  { if (i > 0) s << ',';
    RangeExs[i]->Print (s);
  }
  s << ']';
}
