//-*-C++-*-

#ifndef RANGESEXPRESSION_H
#define RANGESEXPRESSION_H

#include "rangeexpression.h"
#include <iostream>

class RangesExpression : public Expression
{
public:
  RangesExpression () {}

  ~RangesExpression () {}

  void AddRange (RangeExpression *RE) { RangeExs.push_back (RE); }

  AlluvionType Bind (Function &Fun)
  {
    for (unsigned i = 0; i < RangeExs.size (); i ++)
      RangeExs[i]->Bind (Fun);
    return AT_CONTROLVAR;
  }

  void Evaluate (Instance &In, Instance &Out) {}
  int Evaluate (Instance &In) { return 0; }

  vector<Range> *EvaluateRanges (Instance &In);

  unsigned RangesCount () { return RangeExs.size (); }

  void Print (ostream &s = cout) const;

private:
  vector<RangeExpression *> RangeExs;
};

#endif
