#include "statement.h"

#ifndef SEQUENCE_H
#define SEQUENCE_H

#include <vector>

using namespace std;

class Sequence
{
public:
  Sequence () {}

  ~Sequence ()
  { for (unsigned i = 0; i < Stmnts.size (); i ++) delete Stmnts[i]; }

  void AddStatement (Statement *Stmnt)
  { Stmnts.push_back (Stmnt); }

  unsigned GetStatementCount () { return Stmnts.size (); }

  Statement *GetStatement (unsigned i) { return Stmnts[i]; }

  void Bind (Function &Fun)
  {
    for (unsigned i = 0; i < Stmnts.size (); i ++)
      Stmnts[i]->Bind (Fun);
  }

  void Evaluate (Instance &Inst)
  {
    for (unsigned i = 0; i < Stmnts.size (); i ++)
      Stmnts[i]->Evaluate (Inst);
  }

  void Print ()
  {
    for (unsigned i = 0; i < Stmnts.size (); i ++)
      Stmnts[i]->Print ();
  }

private:
  vector<Statement *> Stmnts;
};

#endif
