#ifndef YACCMISC_H
#define YACCMISC_H

#include <iostream>
#include "yyltype.h"

inline ostream &operator<< (ostream &s, YYLTYPE *l)
{
  s << 'L' << l->first_line << ",C" << l->first_column;
  if (l->first_line == l->last_line)
  {
    if (l->first_column != l->last_column)
       s << '-' << l->last_column;
  }
  else
    s << "-L" << l->last_line << ",C" << l->last_column;

  return s;
}

inline ostream &operator<< (ostream &s, YYLTYPE &l)
{ s << &l; return s; }

#endif
